<template>
     <form @submit.prevent="validateBeforeSubmit(editMode)" class="m-form m-form--fit m-form--label-align-right m-form--group-seperator-dashed">
        <div class="m-portlet__body">
            <div class="form-group m-form__group row">
                <label class="col-lg-2 col-form-label">{{$t('purchase.end_item')}}</label>
                <div class="col-lg-6">
                    <v-select name="end_item_details" label="end_item_details_dr" v-validate="'required'"  dir="rtl" :options="options.end_item_details" v-model='s_fields.end_item'>
                    </v-select>
                    <span v-if="s_errors && s_errors.end_item" class="m-form__help text-danger">{{s_errors.end_item[0]}}</span>
                    <span v-else class="m-form__help">{{$t('purchase.end_item_note')}}</span>
                </div>
            </div>
            <div class="form-group m-form__group row">
                <label class="col-lg-2 col-form-label">{{$t('purchase.order_number')}}</label>
                <div class="col-lg-6">
                    <input type="text" class="form-control m-input" v-validate="'required'" name="order_number" v-model="s_fields.order_number" :placeholder="$t('purchase.order_number')">
                    <span v-if="s_errors && s_errors.order_number"  class="m-form__help text-danger">{{s_errors.order_number[0]}}</span>
                    <span v-else :class="{'m-form__help':true, 'text-danger':errors.has('order_number')}" >{{errors.has('order_number') ? errors.first('order_number'): $t("purchase.order_number_note") }} </span>
                </div>
            </div>
            <div class="form-group m-form__group row">
                <label class="col-lg-2 col-form-label">{{$t('purchase.date')}}</label>
                <div class="col-lg-6">
                    <input type="text" class="form-control m-input" v-validate="'required'" name="order_date" v-model="s_fields.order_date" :placeholder="$t('purchase.date')">
                    <span v-if="s_errors && s_errors.order_date"  class="m-form__help text-danger">{{s_errors.order_date[0]}}</span>
                    <span v-else :class="{'m-form__help':true, 'text-danger':errors.has('order_date')}" >{{errors.has('order_date') ? errors.first('order_date'): $t("purchase.date_note") }} </span>
                </div>
            </div>
            <div class="form-group m-form__group row">
                <label class="col-lg-2 col-form-label">{{$t('purchase.unit_price')}}</label>
                <div class="col-lg-6">
                    <input type="text" class="form-control m-input" v-validate="'required'" name="end_item_details_en" v-model="s_fields.unit_price" :placeholder="$t('purchase.unit_price')">
                    <span v-if="s_errors && s_errors.unit_price" class="m-form__help text-danger">{{s_errors.unit_price[0]}}</span>
                    <span v-else :class="{'m-form__help':true, 'text-danger':errors.has('unit_price')}" >{{errors.has('unit_price') ? errors.first('unit_price'): $t("purchase.unit_price_note") }} </span>
                </div>
            </div>
            <div class="form-group m-form__group row">
                <label class="col-lg-2 col-form-label">{{$t('purchase.currency')}}</label>
                <div class="col-lg-6">
                    <v-select name="currency" label="name_dr" v-validate="'required'"  dir="rtl" :options="options.currency" v-model='s_fields.currency'>
                    </v-select>
                    <span v-if="s_errors && s_errors.sub_item" class="m-form__help text-danger">{{s_errors.sub_item[0]}}</span>
                    <span v-else class="m-form__help">{{$t('purchase.currency_note')}}</span>
                </div>
            </div>
            <div class="form-group m-form__group row">
              <label class="col-lg-2 col-form-label">{{$t('purchase.count')}}</label>
              <div class="col-lg-6">
                <input type="text" class="form-control m-input" v-validate="'required'" name="number_of_item" v-model="s_fields.number_of_item" :placeholder="$t('purchase.count')">
                <span v-if="s_errors && s_errors.number_of_item" class="m-form__help text-danger">{{s_errors.number_of_item[0]}}</span>
                <span v-else :class="{'m-form__help':true, 'text-danger':errors.has('number_of_item')}" >{{errors.has('number_of_item') ? errors.first('number_of_item'): $t("purchase.count_note") }} </span>
              </div>
            </div>
            <div class="form-group m-form__group row">
                <label class="col-lg-2 col-form-label">{{$t('purchase.unit')}}</label>
                <div class="col-lg-6">
                    <v-select name="unit" label="name_dr" v-validate="'required'"  dir="rtl" :options="options.unite" v-model='s_fields.unit'>
                    </v-select>
                    <span v-if="s_errors && s_errors.sub_item" class="m-form__help text-danger">{{s_errors.sub_item[0]}}</span>
                    <span v-else class="m-form__help">{{$t('purchase.unit_note')}}</span>
                </div>
            </div>
            <div class="form-group m-form__group row">
                <label class="col-lg-2 col-form-label">{{$t('global.remark')}}</label>
                <div class="col-lg-6">
                    <textarea name="remark" rows="8" cols="80" class="form-control m-input" v-model="s_fields.remark"></textarea>
                    <span v-if="s_errors && s_errors.sub_item" class="m-form__help text-danger">{{s_errors.sub_item[0]}}</span>
                </div>
            </div>
        </div>
        <div class="m-portlet__foot m-portlet__no-border m-portlet__foot--fit">
            <div class="m-form__actions m-form__actions--solid">
                <div class="row">
                    <div class="col-lg-2"></div>
                    <div class="col-lg-6">
                        <button type="submit" class="btn btn-brand">{{this.$route.meta.btn_label}}</button>
                        <router-link to="/items/purchase" class="btn btn-secondary">{{$t('global.cancel')}}</router-link>
                    </div>
                </div>
            </div>
        </div>
    </form>
</template>

<script>
    import SubmitForm from '../../router/SubmitForm.js';
    export default {
        name: 'PurchaseForm',
        mixins: [SubmitForm],
        data(){
            return {
                'url': 'api/purchase',
                'editMode': this.$route.meta.editMode,
                options: {

                },
                s_fields: {
                  end_item: ['یگ گزینه را انتخاب کنید.'],
                  currency: ['یگ گزینه را انتخاب کنید.'],
                  unit: ['یگ گزینه را انتخاب کنید.'],
                },
            }
        },
        created()
        {
            this.$root.$on('get-data-for-edit', () => {
              this.getDataForEdit();
              this.$root.$off('get-data-for-edit');
            });
            //Listen to get-end-item event and call get_public_data function
            this.$root.$on('get-options', () => {
              this.getOptions('api/get_purchase_options');
              this.$root.$off('get-options');
            });
        }
    }
</script>
